// When player is out of bounds
function scr_out_of_bounds(){
	var top_view_out = bbox_bottom < camera_get_view_y(view_camera[0]); 
	var bottom_view_out = bbox_top > camera_get_view_y(view_camera[0]) + camera_get_view_height(view_camera[0]);
	var left_view_out = bbox_right < camera_get_view_x(view_camera[0]);
	var right_view_out = bbox_left > camera_get_view_x(view_camera[0]) + camera_get_view_width(view_camera[0]);
	
	#region Debugging
	//debug
	show_debug_message(" top_view_out: " + string(camera_get_view_y(view_camera[0])));
	show_debug_message(" bottom_view_out: " + string(camera_get_view_y(view_camera[0]) + camera_get_view_height(view_camera[0])));
	show_debug_message(" left_view_out: " + string(camera_get_view_x(view_camera[0])));
	show_debug_message(" right_view_out: " + string(camera_get_view_x(view_camera[0]) + camera_get_view_width(view_camera[0])));
	
	// bbox debug
	show_debug_message(" bbox_top: " + string(bbox_top));
	show_debug_message(" bbox_bottom: " + string(bbox_bottom));
	show_debug_message(" bbox_left: " + string(bbox_left));
	show_debug_message(" bbox_right: " + string(bbox_right));
	
	// Status debug
	show_debug_message(" view_out status: (top, bottom, left, right) " + string(top_view_out) + ", " + string(bottom_view_out) + ", " + string(left_view_out) + ", " + string(right_view_out));
	#endregion

// Outside of Viewport 0, viewable camera
	if(top_view_out || bottom_view_out || left_view_out || right_view_out){
		show_debug_message("OUT OF BOUNDS DEATH");
		st_dead = true;
	}
}